util.settings

## Class Property

- java.lang.Object
- - util.settings.Property

- Direct Known Subclasses:
    BlockedPluginArrayProperty, BooleanProperty, ByteProperty, ChannelArrayProperty, ChoiceProperty, ColorProperty, ContextMenuMouseActionArrayProperty, DateProperty, EncodedStringProperty, FontProperty, IntArrayProperty, IntProperty, ProgramFieldTypeArrayProperty, ShortProperty, StringArrayProperty, StringProperty, VersionProperty, ViewProperty

      public abstract class Property
      extends java.lang.Object

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property(PropertyManager manager, java.lang.String key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(javax.swing.event.ChangeListener l)` Add a ChangeListener to this Property.
    `protected abstract void` | `clearCache()`
    `void` | `fireChangeEvent()` Fire ChangeEvent and inform every Listener about changes in this Property
    `java.lang.String` | `getKey()`
    `protected java.lang.String` | `getProperty()`
    `void` | `removeChangeListener(javax.swing.event.ChangeListener l)` Remove a ChangeListener from this Property
    `protected void` | `setProperty(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property(PropertyManager manager,
                  java.lang.String key)

  - ### Method Detail

    - #### setProperty

          protected void setProperty(java.lang.String value)

    - #### getProperty

          protected java.lang.String getProperty()

    - #### getKey

          public java.lang.String getKey()

    - #### addChangeListener

          public void addChangeListener(javax.swing.event.ChangeListener l)

      Add a ChangeListener to this Property. Everytime this Property is changed, a event will be fired
      Parameters:
        `l` - Listener to add

    - #### removeChangeListener

          public void removeChangeListener(javax.swing.event.ChangeListener l)

      Remove a ChangeListener from this Property
      Parameters:
        `l` - Listener to remove

    - #### fireChangeEvent

          public void fireChangeEvent()

      Fire ChangeEvent and inform every Listener about changes in this Property

    - #### clearCache

          protected abstract void clearCache()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)